import React from 'react';
import { useNavigate } from 'react-router-dom';
import { Product } from '../../types';

interface AddToBuildButtonProps {
  product: Product;
}

export function AddToBuildButton({ product }: AddToBuildButtonProps) {
  const navigate = useNavigate();

  const handleAddToBuild = () => {
    // TODO: Add product to build
    navigate('/');
  };

  return (
    <div className="bg-white rounded-lg shadow-md p-6">
      <button
        onClick={handleAddToBuild}
        className="w-full py-3 px-4 bg-blue-600 text-white rounded-md hover:bg-blue-700 transition-colors"
      >
        Add to Build
      </button>
    </div>
  );
}