import React from 'react';
import { Link } from 'react-router-dom';
import { RegistrationForm } from '../components/auth/RegistrationForm';

export function RegisterPage() {
  return (
    <main className="min-h-screen bg-gray-50 py-12 px-4">
      <div className="max-w-md mx-auto">
        <div className="text-center mb-8">
          <h1 className="text-2xl font-bold text-gray-900">Create an Account</h1>
          <p className="mt-2 text-gray-600">
            Already have an account?{' '}
            <Link to="/login" className="text-blue-600 hover:text-blue-700">
              Sign in
            </Link>
          </p>
        </div>
        <RegistrationForm />
      </div>
    </main>
  );
}