import React from 'react';
import { RequireAuth } from '../components/auth/RequireAuth';
import { SavedBuildsList } from '../components/dashboard/SavedBuildsList';

export function SavedBuildsPage() {
  return (
    <RequireAuth>
      <main className="max-w-7xl mx-auto px-4 py-8">
        <h1 className="text-2xl font-bold text-gray-900 mb-8">Saved Builds</h1>
        <SavedBuildsList />
      </main>
    </RequireAuth>
  );
}