import { User } from './user';

export interface ForumThread {
  id: string;
  title: string;
  content: string;
  author: User;
  createdAt: string;
  updatedAt: string;
  replies: number;
  views: number;
  tags: string[];
  image?: string | null;
  lastReply?: {
    author: User;
    createdAt: string;
  };
}

export interface ForumReply {
  id: string;
  threadId: string;
  content: string;
  author: User;
  createdAt: string;
  updatedAt: string;
  image?: string | null;
}