import React from 'react';

interface BuildListTotalProps {
  total: number;
}

export function BuildListTotal({ total }: BuildListTotalProps) {
  return (
    <div className="bg-gray-50 px-6 py-4 flex justify-between items-center border-t border-gray-200">
      <span className="font-medium text-gray-900">Total:</span>
      <span className="text-xl font-bold text-gray-900">
        ${total.toLocaleString()}
      </span>
    </div>
  );
}