import React from 'react';
import { useAuth } from '../../hooks/useAuth';

export function DashboardHeader() {
  const { user } = useAuth();
  
  return (
    <div className="mb-8">
      <h1 className="text-2xl font-bold text-gray-900">My Dashboard</h1>
      <p className="text-gray-600 mt-1">Welcome back, {user?.username}</p>
    </div>
  );
}