import { Product } from './index';
import { User } from './user';

export interface CommunityBuild {
  id: string;
  title: string;
  description: string;
  author: User;
  products: Product[];
  image?: string;
  tags: string[];
  likes: number;
  comments: number;
  createdAt: string;
  updatedAt: string;
}

export interface BuildFilters {
  sort: 'recent' | 'popular' | 'budget' | 'premium';
  minPrice: number;
  maxPrice: number;
  tags: string[];
}