export interface Product {
  id: string;
  name: string;
  brand: string;
  category: ProductCategory;
  price: number;
  image: string;
  description: string;
  specs: Record<string, string>;
  compatibility?: string[];
}

export type ProductCategory = 
  | 'launch_monitor'
  | 'impact_screen'
  | 'projector'
  | 'hitting_mat'
  | 'computer'
  | 'software'
  | 'enclosure';